%define name 		perl-Net-IRC
%define realname	Net-IRC
%define version		0.73
%define release		2mdk

Summary:	Net::IRC perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-buildroot
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
BuildArch:	noarch

%description
A quick tool for writing an IRC script in Perl, 
Net::IRC has grown into a comprehensive Perl implementation 
of the IRC protocol (RFC 1459), supported and developed by
several members of the EFnet IRC channel #net-irc.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/Net/*
%_mandir/*/*

%changelog
* Sat Mar 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.73-2mdk
- rename package

* Sun Feb 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.73-1mdk 
- first version of rpm.
